<?php

/**
 * @link              https://elvez.co.jp
 * @since             1.0.0
 * @package           Elvez_Hide_Admin_Bar
 *
 * @wordpress-plugin
 * Plugin Name:       Elvez Hide Admin Bar
 * Plugin URI:        https://wordpress.org/plugins/elvez-hide-admin-bar
 * Description:       Hide entry header in singular page or post. You can display more simply your articles.
 * Version:           1.0.3
 * Requires at least: 5.2
 * Requires PHP:      7.2
 * Author:            Elvez Inc,
 * Author URI:        https://elvez.co.jp
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       elvez-hide-admin-bar
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'ELVEZ_HIDE_ADMIN_BAR_VERSION', '1.0.3' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-elvez-hide-admin-bar-activator.php
 */
function activate_elvez_hide_admin_bar() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-elvez-hide-admin-bar-activator.php';
	Elvez_Hide_Admin_Bar_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-elvez-hide-admin-bar-deactivator.php
 */
function deactivate_elvez_hide_admin_bar() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-elvez-hide-admin-bar-deactivator.php';
	Elvez_Hide_Admin_Bar_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_elvez_hide_admin_bar' );
register_deactivation_hook( __FILE__, 'deactivate_elvez_hide_admin_bar' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-elvez-hide-admin-bar.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_elvez_hide_admin_bar() {

	$plugin = new Elvez_Hide_Admin_Bar();
	$plugin->run();

}
run_elvez_hide_admin_bar();
